<?php
/** @var string $page */

$currDomain = tot_get_setting_prod_domain();
$currLicense = tot_get_setting_license_key();

$old_tot_keys = get_option('old_tot_keys', []);
$oldDomain = $old_tot_keys['tot_field_prod_domain'] ?? false;
$oldLicense = $old_tot_keys['tot_field_license_key'] ?? false;

$urlDomain = isset($_GET["appDomain"]) ? tot_scrub_prod_domain(sanitize_text_field($_GET["appDomain"])) : false;
$urlLicense = isset($_GET["license"]) ? sanitize_text_field($_GET["license"]) : false;

$tot_connection_ok = tot_test_keys();

if ($urlLicense && $urlDomain) {

    // This condition will be met after reverting to old keys process
    if (($oldDomain !== false || $oldLicense !== false) &&
            ($oldDomain == $currDomain && $oldLicense == $currLicense)) :

        // delete after reverting 
        delete_option('old_tot_keys');

    elseif ($currDomain != $urlDomain || $currLicense != $urlLicense): // new keys are detected
        ?>
        <div class="tot-modal-wrapper" data-open-automatically="true">
            <div class='tot-modal modal-transition' id='tot-modal-test'>
                <div class='tot-modal-header' >
                    <div class="icon"></div>
                    <h3>Token of trust</h3>
                    <a class='tot-modal-close tot-modal-toggle' data-modal-id='tot-modal-test' href='<?php echo admin_url($page); ?>'>
                        <i class="dashicons dashicons-no-alt"></i>
                    </a>
                </div>
                <div class='tot-modal-content'>
                    <b>New license keys</b> are detected. Do you want to connect to Token of trust using <b>these keys</b>?

                    <input type="hidden" value="<?php echo esc_attr($urlDomain); ?>" id="tot_field_prod_domain_url" />
                    <input type="hidden" value="<?php echo esc_attr($urlLicense); ?>" id="tot_field_license_key_url" />
                </div>
                <div class='tot-modal-action' id='tot-modal-action' data-modal-id='tot-modal-test'>
                    <a href="<?php echo admin_url($page); ?>" class="tot-modal-close tot-modal-toggle">
                        Decline
                    </a>
                    <a href="#" class="tot-modal-connect" id="modal-connect-btn">
                        <img src="<?php echo admin_url('images/spinner.gif'); ?>" width="16" height="16" />
                        <span>Connect</span>
                    </a>
                </div>
            </div>
        </div>
    <?php
    // after updating keys
    elseif ($currDomain == $urlDomain && $currLicense == $urlLicense): ?>

        <div class="tot-modal-wrapper" data-open-automatically="true">
            <div class='tot-modal modal-transition' id='tot-modal-test'>
                <div class='tot-modal-header' >
                    <div class="icon"></div>
                    <h3>Token of trust</h3>
                    <a class='tot-modal-close tot-modal-toggle' data-modal-id='tot-modal-test' href='#'>
                        <i class="dashicons dashicons-no-alt"></i>
                    </a>
                </div>
                <div class='tot-modal-content'>
                    <?php if ($tot_connection_ok): ?>
                        <?php delete_option('old_tot_keys'); ?>
                        <span class="tot-modal-success">Congratulations!</span> You’ve successfully connected to Token of Trust!

                    <?php else: ?>
                        <span class="tot-modal-failed">Wrong Keys!</span> Failed to connect Token of Trust!
                        <?php if ($oldDomain != $currDomain || $oldLicense != $currLicense): ?>
                            <div>System will revert to the old keys automatically after 3sec.</div>
                            <input type="hidden" id="tot_field_return_old_keys" name="tot_field_return_old_keys" value="1"/>
                        <?php endif; ?>

                    <?php endif; ?>
                </div>
            </div>
        </div>

        <?php
    endif;
	?>
    <div class="tot-hide-but-accessible automatic-keys-form-wrapper">
        <form action="admin.php?page=totsettings" method="post">
			<?php
			settings_fields( 'tot' );
			do_settings_sections( 'tot' );
			submit_button('Save Settings');
			?>
        </form>
    </div>
	<?php
}
