<?php

namespace TOT\Integrations\Sentry\SDK;

class Initiation
{
	private static $inst = null;

	private $dsn;

	public static function inst($dsn)
	{
		if (is_null(self::$inst)) {
			self::$inst = new self($dsn);
		}

		return self::$inst;
	}

	private function __construct($dsn)
	{
		$this->dsn = $dsn;
	}

	public function doInit()
	{
		\TOT\Dependencies\Sentry\init([
			'dsn' => $this->dsn,
			'default_integrations' => false,
			// Specify a fixed sample rate
			'traces_sample_rate' => 1.0,
			// Set a sampling rate for profiling - this is relative to traces_sample_rate
			'profiles_sample_rate' => 1.0,
		]);
	}
}