<?php
/**
 *
 * TOT API API_Product Request
 *
 * In order to react in real time primarily for excise tax calculations,
 * Token of Trust needs to have product information on hand.
 * To help facilitate integrations of that product information
 * we’ve developed an API to allow product master data source systems
 * to push that product information to Token of Trust so that transactions can be handled quickly.
 * We currently only support vape products but others may be supported soon.
 *
 * References
 *   - TOT API docs
 * 		@TODO
 */
namespace TOT;

class API_Product extends API_Request
{
	public $endpoint_url;
	public $request_details;

	public function __construct($data = array(), $method = 'POST', $headers = array())
	{
		$headers = array(
			'Content-Type' => 'application/json',
			'Accept' => 'application/json'
		);
		parent::__construct('api/product', $data, $method, $headers);
	}

	public function set_details( $data = array(), $method = 'POST', $headers = array() ) {
		$this->data = $data;

		$body = array_merge($data, array(
			'totApiKey' => $this->public_key,
			'totSecretKey' => $this->secret_key,
			'appDomain' => $this->app_domain
		));

		$body['forceAllowPartialUpdate'] = true;

		$this->request_details = array(
			'method' => $method,
			'headers' => array_merge(array(
				'charset' => 'utf-8',
				'Accept-Language' => 'en-US,en;q=0.9'
			), $headers),
			'body' => json_encode($body),
			'sslverify' => tot_ssl_verify(),
			'timeout' => $this->timeout
		);
	}
}